Bug 1026823 - Provide a reliable way to clear "ROLE" headers set by "Run as" dialog
Summary: Provide a reliable way to clear "ROLE" headers set by "Run as" dialog
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER1
: EAP 6.4.0
Assignee: Harald Pehl
QA Contact: Pavel Jelinek
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1176535
TreeView+ depends on / blocked
 
Reported: 2013-11-05 13:51 UTC by Jakub Cechacek
Modified: 2018-12-07 22:33 UTC (History)
6 users (show)

(edit)
In previous releases of JBoss EAP 6, it was found that when a SuperUser acted on behalf of another user (with the *Run As...* link), their role was not reset after the action was taken.

This issue has been addressed and users no longer need to close the browser window and re-access the Web Console for roles to be reset.
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)

Description Jakub Cechacek 2013-11-05 13:51:18 UTC
Currently the only reliable way to clean ROLE headers is logout. In standalone this can be achieved by using "no preselection" option in "Run as" dialog, however this doesn't work in domain mode. 

This behavior is confusing for customer and has to be properly document unless we managed to fix this until GA is released.

Comment 1 Scott Mumford 2013-12-02 02:09:07 UTC
Modified Doc Text content and marked for inclusion in the 6.2 Release Notes document.

Comment 2 Jakub Cechacek 2014-07-16 11:18:16 UTC
Moving to 6.4 as the issue is still valid for 6.3

Comment 5 Pavel Jelinek 2015-01-21 14:08:08 UTC
Verified for EAP 6.4.0.ER1


Note You need to log in before you can comment on or make changes to this bug.